import { KeyBinding } from "@codemirror/view";
import { Language, LanguageSupport, LanguageDescription } from "@codemirror/language";
import { MarkdownExtension } from "@lezer/markdown";
import { commonmarkLanguage, markdownLanguage } from "./markdown";
import { insertNewlineContinueMarkup, deleteMarkupBackward } from "./commands";
export { commonmarkLanguage, markdownLanguage, insertNewlineContinueMarkup, deleteMarkupBackward };
export declare const markdownKeymap: readonly KeyBinding[];
export declare function markdown(config?: {
    defaultCodeLanguage?: Language | LanguageSupport;
    codeLanguages?: readonly LanguageDescription[] | ((info: string) => Language | LanguageDescription | null);
    addKeymap?: boolean;
    extensions?: MarkdownExtension;
    base?: Language;
    completeHTMLTags?: boolean;
}): LanguageSupport;
